#COMPILE EXE "s56_ptr_to_udt.exe"
' Sample: Pointer to UDT field
TYPE Data
    id AS LONG
    value AS LONG
END TYPE
FUNCTION PBMAIN() AS LONG
    DIM d AS Data, p AS LONG PTR
    d.id = 1: d.value = 1234
    p = VARPTR(d.value)
    PRINT "d.value via pointer ="; @p
    @p = 5678
    PRINT "d.value after @p change ="; d.value
    FUNCTION = 0
END FUNCTION
